=== tools/ci/appveyor/requirements.txt ===
cython
nose
pytest-timeout
pytest-xdist
pytest-env
pytest-faulthandler
