=== debian/changelog ===
numpy (1:1.17.4-5ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:44:35 +0100

numpy (1:1.17.4-5ubuntu2) focal; urgency=medium

  * Move versions3.helper to python3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jan 2020 18:29:58 +0100

numpy (1:1.17.4-5) unstable; urgency=medium

  * debian/rules
    - edit entry_points.txt only if it's present, fixing a FTBFS for arch:all;
      Closes: #945263

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Dec 2019 01:50:13 -0500

numpy (1:1.17.4-4) unstable; urgency=medium

  * debian/rules
    - add an f2py entry_point for all supported py3k versions; Closes: #945263
  * debian/patches/use_local_object.inv_files.patch
    - update SciPy object.inv location

 -- Sandro Tosi <morph@debian.org>  Wed, 11 Dec 2019 12:57:27 -0500

numpy (1:1.17.4-3) unstable; urgency=medium

  * debian/tests/control
    - add python3-distutils to the `distutils` test depends

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Nov 2019 19:21:07 -0500

numpy (1:1.17.4-2) unstable; urgency=medium

  * debian/tests/{atlas,openblas}
    - use the `python3` script in autotests

 -- Sandro Tosi <morph@debian.org>  Sat, 16 Nov 2019 23:58:08 -0500

numpy (1:1.17.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches/PR14769.patch
    - fix integer size confusion in handling array's ndmin on s390x

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Nov 2019 10:30:17 -0500

numpy (1:1.17.2-1) experimental; urgency=medium

  * New upstream release
  * Rename source package to numpy, to track py3k-only upstream source
  * debian/watch
    - track the latest release
  * debian/control
    - drop python2 packages
    - use cython3 >= 0.29.2
    - add ipython, scipy, dvisvgm, texlive-latex-base/extra to b-d, needed to
      build doc
    - remove all Breaks/Repleaces from -dbg package
  * debian/tests
    - autopkgtests: only test py3k
  * debian/dh_numpy*
    - keep only py3k dh_numpy (+ helpers)
  * debian/rules
    - build only py3k packages
    - dont regenerate generate_mtrand_c.py, removed upstream
    - use pybuild
    - let tests be run during install, not via dh sequencer
  * debian/copyright
    - update to upstream new code
  * Use objects.inv from python3/scipy/maptlotlib -doc packages

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Sep 2019 16:09:25 -0400

python-numpy (1:1.16.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Drew Parsons ]
  * move python3-matplotlib to Build-Depends-Indep. Build docs under
    override_dh_auto_build-indep. Thanks Jason Duerstock.
    Closes: #929975

  [ Sandro Tosi ]
  * New upstream release; Closes: #933056, #931541
  * debian/watch
    - only search for 1.16.x releases, the only ones supporting python2
  * debian/copyright
    - document numpy/linalg/lapack_lite/ copyright and license

 -- Sandro Tosi <morph@debian.org>  Sat, 07 Sep 2019 17:33:43 -0400

python-numpy (1:1.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2019 11:30:12 -0500

python-numpy (1:1.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 31 Jan 2019 22:21:17 -0500

python-numpy (1:1.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Jan 2019 22:49:04 -0500

python-numpy (1:1.16.0~rc2-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Emilio Pozuelo Monfort ]
  * Add more breaks for older versions of packages not compatible with
    Numpy 1.16.
  * Fix breaks on python-astropy. Closes: #918544.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 11 Jan 2019 14:51:15 +0100

python-numpy (1:1.16.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/control
    - restore b-d on libblas-dev and liblapack-dev, instead of
      libatlas-base-dev; Closes: #913567
    - Add Breaks for packages not compatible with 1.16; Closes: #918399
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/patches/0007-fix-test_various_alignments.patch
    - drop, applied upstream

 -- Sandro Tosi <morph@debian.org>  Sat, 05 Jan 2019 19:54:44 -0500

python-numpy (1:1.16.0~rc1-3) unstable; urgency=medium

  * debian/control
    - add pkg_resources to Depends, needed by f2py; Closes: #917878

 -- Sandro Tosi <morph@debian.org>  Mon, 31 Dec 2018 14:39:01 -0500

python-numpy (1:1.16.0~rc1-2) unstable; urgency=medium

  * debian/patches/0007-fix-test_various_alignments.patch
    - fix FTBFS on i386 archs due to tests suite being Aborted
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 26 Dec 2018 11:37:59 -0500

python-numpy (1:1.16.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/copyright
    - update upstream copyright years
  * debian/patch
    - refresh, drop
  * debian/rules
    - remove override_dh_python2, no longer needed
  * debian/versions
    - update ABI/API versions
  * debian/control
    - drop explicit b-d on python3.6-dev; Closes: #916821

 -- Sandro Tosi <morph@debian.org>  Mon, 24 Dec 2018 15:26:14 -0500

python-numpy (1:1.15.4-2) unstable; urgency=medium

  * debian/patches/python3-soabi.patch
    - fix skip syntax
  * debian/tests/control
    - switch from nose to pytest

 -- Sandro Tosi <morph@debian.org>  Thu, 22 Nov 2018 18:02:32 -0500

python-numpy (1:1.15.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - switch from nose to pytest
    - b-d on libatlas-base-dev
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/copyright

