## numpy 1.18.4

=== debian/changelog ===
numpy (1:1.18.4-1ubuntu1) groovy; urgency=medium

  * Removed --std=c99 extra compiler flags causing floating point
    issues during python-meshio autopkgtest on s390x

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Thu, 28 May 2020 16:31:25 -0500

numpy (1:1.18.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 06 May 2020 19:26:24 -0400

numpy (1:1.18.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Apr 2020 21:36:17 -0400

numpy (1:1.18.2-2) unstable; urgency=medium

  * debian/patches/debian_skip_tests.patch
    - skip test_compile*, as we cant realiably compile from within numpy module
      location (sadly numpy.test() extra_argv didnt work)

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Apr 2020 02:06:44 -0400

numpy (1:1.18.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Team upload.
  * Port debian/versions3.helper to python3; Closes: #948354, #956527
  * debian/control: Mark several BD with <!nocheck> to break dependency cycle
    (Closes: #946607)
  * debian/control: Move the packages needed to generate the doc package to BDI
  * debian/control: Mark the -doc package and its BD with <!nodoc>
  * debian/control: Make the python3-numpy package provide dh-sequence-numpy3
    (Closes: #950953)

  [ Sandro Tosi ]
  * New upstream release
  * debian/python3-numpy.docs
    - install some additional documentation
  * debian/control
    - require sphinx 2+
  * Refresh & drop patches as per new upstream code
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Apr 2020 01:11:06 -0400
