=== debian/control ===
--- 
+++ 
@@ -1,9 +1,18 @@
 Source: numpy
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends-Indep: python3-matplotlib
+Build-Depends-Indep: python-matplotlib-doc <!nodoc>,
+                     python-scipy-doc <!nodoc>,
+                     python3-doc <!nodoc>,
+                     python3-ipython <!nodoc>,
+                     python3-matplotlib <!nodoc>,
+                     python3-scipy <!nodoc>,
+                     python3-sphinx (>= 2) <!nodoc>,
+                     texlive-latex-base <!nodoc>,
+                     texlive-latex-extra <!nodoc>
 Build-Depends: cython3 (>= 0.29.2),
                debhelper-compat (= 11),
                dh-python,
@@ -13,18 +22,11 @@
                liblapack-dev [!arm !m68k],
                python3-all-dbg,
                python3-all-dev,
-               python3-doc,
-               python3-ipython,
-               python-matplotlib-doc,
-               python3-pytest,
-               python-scipy-doc,
-               python3-scipy,
+               python3-pytest <!nocheck>,
+               python3-scipy <!nocheck>,
                python3-setuptools,
-               python3-sphinx,
-               python3-tz,
-               texlive-latex-base,
-               texlive-latex-extra,
-Standards-Version: 4.4.1
+               python3-tz <!nocheck>
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/numpy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/numpy
 Homepage: http://www.numpy.org/
@@ -38,7 +40,8 @@
           python3-dev,
           python3-pytest,
           python3-numpy-dbg
-Provides: python3-f2py,
+Provides: dh-sequence-numpy3,
+          python3-f2py,
           python3-numpy-dev,
           ${numpy3:Provides},
           ${python3:Provides}
@@ -86,6 +89,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Description: NumPy documentation
  Numpy contains a powerful N-dimensional array object, sophisticated
  (broadcasting) functions, tools for integrating C/C++ and Fortran
