=== doc/cdoc/Makefile ===
all: build

build:
	doxygen

clean:
	rm -rf build

.PHONY: all build clean
