=== debian/changelog ===
numpy (1:1.19.5-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
    - run wrap-and-sort
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Jan 2021 01:25:24 -0500

numpy (1:1.19.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 02 Nov 2020 23:30:38 -0500

numpy (1:1.19.3-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Oct 2020 22:59:46 -0400

numpy (1:1.19.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * debian/tests/control
    - add hypothesis to some autopkgtests

 -- Sandro Tosi <morph@debian.org>  Fri, 25 Sep 2020 01:48:22 -0400

numpy (1:1.19.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * debian/patches/sphinx_no_dashW.patch
    - remove -W option from sphinx-build, until upstream supports sphinx 3

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Sep 2020 01:14:11 -0400

numpy (1:1.19.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - update versione b-d on hypothesis to >= 5.19.1
    - bump b-d on cython3 to >= 0.29.21

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jul 2020 20:59:57 -0400

numpy (1:1.19.0-1) unstable; urgency=medium

  * New upstream release
  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jun 2020 21:02:50 -0400

numpy (1:1.19.0~rc2-2) experimental; urgency=medium

  * debian/patches/debian_skip_tests.patch
    - skip test_full_reimport

 -- Sandro Tosi <morph@debian.org>  Sat, 06 Jun 2020 20:31:14 -0400

numpy (1:1.19.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/control
    - update b-d on hypothesis to be versioned >= 5.12.0

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Jun 2020 21:11:56 -0400

numpy (1:1.19.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/control
    - add hypothesis to b-d, needed by tests
    - add skimage, imageio -doc pkgs to b-d, needed by doc intersphinx objects
  * debian/patches/*
    - refresh/update patches
  * debian/copyright
    - update upstream copyright notice

 -- Sandro Tosi <morph@debian.org>  Mon, 18 May 2020 18:48:37 -0400
