=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: numpy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends-Indep: python-matplotlib-doc <!nodoc>,
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Build-Depends-Indep: python-imageio-doc <!nodoc>,
+                     python-matplotlib-doc <!nodoc>,
                      python-scipy-doc <!nodoc>,
+                     python-skimage-doc <!nodoc>,
                      python3-doc <!nodoc>,
                      python3-ipython <!nodoc>,
                      python3-matplotlib <!nodoc>,
                      python3-scipy <!nodoc>,
                      python3-sphinx (>= 2) <!nodoc>,
                      texlive-latex-base <!nodoc>,
-                     texlive-latex-extra <!nodoc>
-Build-Depends: cython3 (>= 0.29.2),
+                     texlive-latex-extra <!nodoc>,
+Build-Depends: cython3 (>= 0.29.21),
                debhelper-compat (= 11),
                dh-python,
                dvisvgm,
@@ -22,29 +23,33 @@
                liblapack-dev [!arm !m68k],
                python3-all-dbg,
                python3-all-dev,
+               python3-hypothesis (>= 5.19.1) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
-               python3-tz <!nocheck>
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/numpy.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/numpy
+               python3-tz <!nocheck>,
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/numpy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/numpy
 Homepage: http://www.numpy.org/
 
 Package: python3-numpy
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-pkg-resources
+Depends: python3-pkg-resources,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
 Suggests: gcc (>= 4:4.6.1-5),
           gfortran,
           python-numpy-doc,
           python3-dev,
+          python3-numpy-dbg,
           python3-pytest,
-          python3-numpy-dbg
 Provides: dh-sequence-numpy3,
           python3-f2py,
           python3-numpy-dev,
           ${numpy3:Provides},
-          ${python3:Provides}
+          ${python3:Provides},
 Breaks: python3-aplpy (<< 2.0~rc2-1),
         python3-astropy (<< 3.1-1),
         python3-ccdproc (<< 1.3.0-5),
@@ -71,7 +76,7 @@
 Depends: python3-dbg,
          python3-numpy (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Fast array facility to the Python 3 language (debug extension)
  Numpy contains a powerful N-dimensional array object, sophisticated
  (broadcasting) functions, tools for integrating C/C++ and Fortran
@@ -85,7 +90,8 @@
  This package contains the extension built for the Python 3 debug interpreter.
 
 Package: python-numpy-doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Section: doc
 Architecture: all
 Multi-Arch: foreign
