=== debian/rules ===
--- 
+++ 
@@ -128,6 +128,7 @@
 	# source directory, so we need to mess with the import order so to
 	# select the code in the installation path
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "TEST STARTED" `date`
 	set -e; for v in $(PY3VERS) ; do \
 		cd debian ; \
 		echo "-- running tests for "$$v" plain --" ; \
@@ -136,4 +137,5 @@
 		python$$v-dbg -c "import sys ; sys.path.insert(0, './tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
 		cd .. ; \
 	done
+	echo "TEST ENDED" `date`
 endif
